Bug 111235 - Fedora Core 1 upgrade from RH 9 does not allow Custom Upgrades
Fedora Core 1 upgrade from RH 9 does not allow Custom Upgrades
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-12-01 01:11 EST by Brian Wright
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-17 16:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Wright 2003-12-01 01:11:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; Galeon)
Gecko/20031017 Galeon/1.3.10

Description of problem:
When doing an upgrade from RedHat Linux 9 to Fedora Core 1, the
Upgrade option does not allow Custom Upgrades where the user can
select which packages to upgrade.  I have Ximian Gnome and some Fedora
project packages for RedHat 9, and I want to be able to select only
those packages that I wish I to upgrade, or see which packages will be
upgraded prior to the upgrade process.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select "Upgrade" from the Installation screen
2. Go to the Boot Loader section, select "No Change"
3. The installer goes to right to package selection and dependency
resolution.  No custom screen is presented

Actual Results:  RedHat 9 is detected, but no screen allowing me to do
a custom upgrade.

Expected Results:  A screen allowing the user to do a Custom upgrade,
as in previous RedHat Linux releases.

Additional info:
Comment 1 Jeremy Katz 2003-12-17 16:48:15 EST
The installer now just gets you upgraded and you can then do
customization once you're back in a full installed system environment.
Comment 2 Brian Wright 2003-12-18 00:19:24 EST
I understand. :)  However, I think being able to see what's going to
be upgraded would give peace of mind to some users, in case the
installer has to remove any third party RPMs that could result in
breaking a system.

Note You need to log in before you can comment on or make changes to this bug.